package com.fp.dto.rules;

/**
 * Clase a extender por las reglas de negocio que levantan demonios o servicios, ejemplo contabilizacion, task server, Scheduler
 * 
 * @author Jorge Vaca
 * @version 2.1
 */
public abstract class Service {

	/**Metodo que levanta un demonio.*/
	public abstract void start() throws Exception;
	/**Metodo que detiene o para un demonio.*/
	public abstract void stop() throws Exception;
	/**Metodo que indica .*/
	public abstract boolean isrunning() throws Exception;	
}
